public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/notebook/
Date: Wed, 26 Jan 2022 07:33:18 +0000 (UTC)	[thread overview]
Message-ID: <1643182382.abfd6e9cc3ae8902bcd613881c11e2b78012fc7e.mgorny@gentoo> (raw)

commit:     abfd6e9cc3ae8902bcd613881c11e2b78012fc7e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 26 06:36:01 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jan 26 07:33:02 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abfd6e9c

dev-python/notebook: Bump to 6.4.8

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/notebook/Manifest              |  1 +
 dev-python/notebook/notebook-6.4.8.ebuild | 97 +++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index 1ee4f2627e2d..6e36f5df8ce9 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -1,2 +1,3 @@
 DIST notebook-6.4.6.tar.gz 14342345 BLAKE2B cc9d5968d05d9f75f60f02adfb5ef35f39e4a5de027356af73c6dfb1f3aebc271e5b3bc639eb8605748abd30d43bfaab662d41b3b764c91cc545c2d1848881f4 SHA512 92b10bdc041bc0f3af1b42ad219abda37402e0fa4ea16ddcfd2ffc450cc7f49ce1d770cb477160c3fa58c387f85d22ca3f4e4c6507a5cbf7a92bc5268baf661e
 DIST notebook-6.4.7.tar.gz 14347832 BLAKE2B 3430aed18e2748005a98ba8e369d3aeda1925098ea1cb59fd6c5b4fc559a9f3ad41dc3fa655a7cce05a6be7fb44c6fe1b2a6e676a7e3933a658bc2f86a603efc SHA512 8a546360948bde566f6853ad63b38f6fbbdd5cfe8bb6b74379e3feae9aeb0f71c1bd7f1e90798cd95c0203e696d73e2797bdb73160106ae4b9ec661f65b860a0
+DIST notebook-6.4.8.tar.gz 14347639 BLAKE2B c2201562f0d672f16d6ae2388a443fcd87e81ae7de78c3a42acef82ff3e78c8e94e2be61e6156f622a9339138a2f14edef5057a3e601a7c15c8793f56d1071e2 SHA512 0e87aa155635ae536eb5a152c46cadbf85907a5af2ca15d063e718ff566ac6b76f4ce0f06f8adacae3be05ea970f1059d793e3121be855efd6c9072e9aa51719

diff --git a/dev-python/notebook/notebook-6.4.8.ebuild b/dev-python/notebook/notebook-6.4.8.ebuild
new file mode 100644
index 000000000000..6ea2fa47b8a8
--- /dev/null
+++ b/dev-python/notebook/notebook-6.4.8.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	>=dev-libs/mathjax-2.4
+	dev-python/argon2-cffi[${PYTHON_USEDEP}]
+	dev-python/jinja[${PYTHON_USEDEP}]
+	>=dev-python/terminado-0.8.3[${PYTHON_USEDEP}]
+	>=www-servers/tornado-6.0[${PYTHON_USEDEP}]
+	dev-python/ipython_genutils[${PYTHON_USEDEP}]
+	>=dev-python/traitlets-4.2.1[${PYTHON_USEDEP}]
+	>=dev-python/jupyter_core-4.6.1[${PYTHON_USEDEP}]
+	>=dev-python/pyzmq-17[${PYTHON_USEDEP}]
+	>=dev-python/jupyter_client-5.3.4[${PYTHON_USEDEP}]
+	dev-python/nbformat[${PYTHON_USEDEP}]
+	>=dev-python/nbconvert-4.2.0[${PYTHON_USEDEP}]
+	>=dev-python/nest_asyncio-1.5[${PYTHON_USEDEP}]
+	dev-python/ipykernel[${PYTHON_USEDEP}]
+	>=dev-python/send2trash-1.8.0[${PYTHON_USEDEP}]
+	dev-python/prometheus_client[${PYTHON_USEDEP}]"
+
+BDEPEND="
+	>=dev-python/jupyter_packaging-0.9[${PYTHON_USEDEP}]
+	test? (
+		dev-python/requests[${PYTHON_USEDEP}]
+		dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+	)
+"
+
+PATCHES=(
+	"${FILESDIR}/${PN}"-5.7.0-no-mathjax.patch
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# disable bundled mathjax
+	sed -i 's/^.*MathJax.*$//' bower.json || die
+
+	distutils-r1_python_prepare_all
+}
+
+EPYTEST_DESELECT=(
+	# trash doesn't seem to work for us
+	notebook/services/contents/tests/test_contents_api.py::APITest::test_checkpoints_follow_file
+	notebook/services/contents/tests/test_contents_api.py::APITest::test_delete
+	notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_checkpoints_follow_file
+	notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_delete
+	notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_delete_dirs
+	notebook/services/contents/tests/test_contents_api.py::GenericFileCheckpointsAPITest::test_delete_non_empty_dir
+	notebook/services/contents/tests/test_manager.py::TestContentsManager::test_delete
+	notebook/services/contents/tests/test_manager.py::TestContentsManagerNoAtomic::test_delete
+	# TODO
+	notebook/services/kernels/tests/test_kernels_api.py::KernelAPITest::test_connections
+	notebook/services/kernels/tests/test_kernels_api.py::AsyncKernelAPITest::test_connections
+	notebook/services/kernels/tests/test_kernels_api.py::KernelCullingTest::test_culling
+	notebook/services/nbconvert/tests/test_nbconvert_api.py::APITest::test_list_formats
+)
+
+EPYTEST_IGNORE=(
+	# selenium tests require geckodriver
+	notebook/tests/selenium
+)
+
+python_install() {
+	distutils-r1_python_install
+
+	ln -sf \
+		"${EPREFIX}/usr/share/mathjax" \
+		"${D}$(python_get_sitedir)/notebook/static/components/MathJax" || die
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}


             reply	other threads:[~2022-01-26  7:33 UTC|newest]

Thread overview: 186+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-26  7:33 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-14 12:32 [gentoo-commits] repo/gentoo:master commit in: dev-python/notebook/ Michał Górny
2024-09-14 11:31 Arthur Zamarin
2024-08-28  3:43 Michał Górny
2024-06-22 15:01 Michał Górny
2024-06-22 13:48 Arthur Zamarin
2024-06-07 14:48 Michał Górny
2024-06-01  7:22 Michał Górny
2024-06-01  7:16 Arthur Zamarin
2024-05-17  6:25 Michał Górny
2024-05-04  7:43 Michał Górny
2024-05-04  7:28 Arthur Zamarin
2024-04-18  5:34 Michał Górny
2024-03-30 14:59 Michał Górny
2024-03-30 14:53 Michał Górny
2024-03-15  5:05 Michał Górny
2024-03-13 15:02 Michał Górny
2024-03-13 13:52 Arthur Zamarin
2024-02-26 17:48 Michał Górny
2024-02-24 10:22 Michał Górny
2024-02-24 10:07 Sam James
2024-02-13 19:12 Andrew Ammerlaan
2024-02-09 18:45 Arthur Zamarin
2024-02-03 11:44 Michał Górny
2024-02-03 10:47 Sam James
2024-01-19 18:28 Arthur Zamarin
2023-11-20 19:29 Michał Górny
2023-11-15 17:10 Michał Górny
2023-11-15 16:34 Arthur Zamarin
2023-10-24 17:51 Michał Górny
2023-10-17 18:57 Michał Górny
2023-10-15 16:05 Michał Górny
2023-10-15 15:46 Michał Górny
2023-10-13 16:45 Michał Górny
2023-10-13 15:27 Arthur Zamarin
2023-10-13 14:47 Arthur Zamarin
2023-10-13  4:44 Michał Górny
2023-10-06 17:47 Arthur Zamarin
2023-10-06 17:44 Arthur Zamarin
2023-10-06 14:52 Sam James
2023-10-06 14:52 Sam James
2023-10-03  5:11 Michał Górny
2023-09-21  9:54 Michał Górny
2023-09-10  5:27 WANG Xuerui
2023-08-31 13:22 Michał Górny
2023-08-16 20:17 Michael Orlitzky
2023-08-14 17:57 Jakov Smolić
2023-08-13 16:10 Arthur Zamarin
2023-08-13 16:08 Arthur Zamarin
2023-08-13  6:37 Joonas Niilola
2023-08-05  5:41 Michał Górny
2023-08-01  3:01 Michał Górny
2023-07-20 10:47 Andrew Ammerlaan
2023-06-13 18:23 Arthur Zamarin
2023-05-20  7:15 Michał Górny
2023-05-06 14:00 Michał Górny
2023-05-06 14:00 Michał Górny
2023-05-06 12:01 Sam James
2023-05-06 11:04 Arthur Zamarin
2023-05-06 10:37 Arthur Zamarin
2023-05-06 10:31 Arthur Zamarin
2023-05-06 10:30 Arthur Zamarin
2023-05-06 10:19 Arthur Zamarin
2023-05-06 10:13 Arthur Zamarin
2023-05-06 10:04 Arthur Zamarin
2023-04-16 12:11 WANG Xuerui
2023-04-14 22:30 Sam James
2023-04-14 21:02 Sam James
2023-04-14 20:43 Sam James
2023-04-14 20:25 Sam James
2023-04-14 20:07 Sam James
2023-04-14  4:19 Sam James
2023-04-14  4:05 Sam James
2023-04-07  6:38 Sam James
2023-03-11  6:37 Yixun Lan
2023-03-07 13:45 Andrew Ammerlaan
2022-10-27  9:48 Andrew Ammerlaan
2022-10-10 18:24 Andrew Ammerlaan
2022-07-10 19:09 Michał Górny
2022-07-10 18:04 Arthur Zamarin
2022-06-08  5:35 Michał Górny
2022-05-21 18:09 Jakov Smolić
2022-04-16  8:10 Arthur Zamarin
2022-04-15 15:26 Arthur Zamarin
2022-04-15 15:06 Arthur Zamarin
2022-04-15 15:04 Arthur Zamarin
2022-03-31 21:14 Arthur Zamarin
2022-03-18  9:54 Arthur Zamarin
2022-03-15 18:24 Michał Górny
2022-03-14 17:04 Michał Górny
2022-02-21  8:20 Michał Górny
2022-02-20 20:34 Sam James
2022-02-16 20:00 Arthur Zamarin
2022-02-13 15:13 Sam James
2022-02-13 10:38 Agostino Sarubbo
2022-01-29  9:22 Arthur Zamarin
2022-01-29  9:21 Arthur Zamarin
2022-01-29  9:21 Arthur Zamarin
2022-01-28 21:57 Sam James
2022-01-27  1:57 Yixun Lan
2022-01-26 22:15 Jakov Smolić
2022-01-26 19:47 Arthur Zamarin
2022-01-26 19:43 Arthur Zamarin
2022-01-26 19:41 Arthur Zamarin
2022-01-26 19:28 Arthur Zamarin
2022-01-12 21:12 Michał Górny
2021-12-17 18:57 Michał Górny
2021-12-17 16:37 Arthur Zamarin
2021-12-10  7:58 Michał Górny
2021-12-10  0:27 Sam James
2021-11-18  8:10 Sam James
2021-11-18  5:36 Sam James
2021-11-17  9:00 Michał Górny
2021-11-14 20:35 Sam James
2021-11-14  3:43 Sam James
2021-10-20  9:40 Michał Górny
2021-10-04  8:05 Michał Górny
2021-10-04  0:49 Sam James
2021-09-15 20:26 Michał Górny
2021-09-12  7:39 Michał Górny
2021-09-12  7:09 Agostino Sarubbo
2021-09-06  0:18 Sam James
2021-09-02  0:01 Marek Szuba
2021-08-12  5:39 Michał Górny
2021-08-07  6:33 Michał Górny
2021-08-06  6:22 Michał Górny
2021-07-24 17:30 Michał Górny
2021-07-24 15:12 Sam James
2021-07-12  6:41 Sam James
2021-07-11 10:19 Georgy Yakovlev
2021-07-11 10:14 Georgy Yakovlev
2021-07-11 10:14 Georgy Yakovlev
2021-07-01 17:53 Michał Górny
2021-06-20  1:45 Sam James
2021-05-17 16:35 Michał Górny
2021-04-28 17:47 Michał Górny
2021-04-28 17:00 Sam James
2021-03-22 23:53 Michał Górny
2021-03-22 23:53 Michał Górny
2021-03-22 21:33 Michał Górny
2021-03-17  7:48 Michał Górny
2021-03-16 22:32 Sam James
2021-01-27  9:00 Michał Górny
2021-01-27  3:06 Sam James
2021-01-13 19:32 Sam James
2021-01-13 19:32 Sam James
2020-12-24  0:19 Michał Górny
2020-12-17 17:09 Michał Górny
2020-11-06 23:14 Michał Górny
2020-10-18 19:17 Sam James
2020-10-18 18:51 Thomas Deutschmann
2020-09-08 19:11 Michał Górny
2020-09-05 15:25 Sam James
2020-09-05  7:24 Michał Górny
2020-09-02  9:12 Michał Górny
2020-08-13 10:04 Michał Górny
2020-08-04 13:48 Michał Górny
2020-08-01 10:09 Michał Górny
2020-07-31  0:50 Sam James
2020-07-07 20:01 Michał Górny
2020-06-09 20:07 Michał Górny
2020-06-09 20:06 Michał Górny
2020-06-09 20:00 Mart Raudsepp
2020-06-09 12:42 Michał Górny
2020-06-04  9:06 David Seifert
2020-05-04 11:26 Michał Górny
2020-03-28  9:20 Michał Górny
2020-03-28  9:20 Michał Górny
2019-12-15 14:50 Agostino Sarubbo
2019-12-04 17:15 Michał Górny
2019-05-04 22:58 Virgil Dupras
2018-11-19  6:31 Benda XU
2018-05-16 12:28 Agostino Sarubbo
2018-04-22  1:35 Thomas Deutschmann
2017-06-25 14:42 Alexis Ballier
2017-03-12 12:31 Zac Medico
2017-02-14 21:20 Patrice Clement
2017-02-14 21:20 Patrice Clement
2017-02-04 21:30 David Seifert
2017-01-04 10:15 David Seifert
2016-11-03 17:37 David Seifert
2016-09-20 21:12 David Seifert
2016-06-07 16:40 David Seifert
2016-01-10  8:23 Justin Lecher
2015-11-28 17:33 Justin Lecher
2015-11-28 17:33 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1643182382.abfd6e9cc3ae8902bcd613881c11e2b78012fc7e.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox